from tiramisu import *
from tiramisu.setting import ALLOWED_LEADER_PROPERTIES
from rougail.tiramisu import func, dict_env, load_functions, ConvertDynOptionDescription
load_functions('tests/dictionaries/../eosfunc/test.py')
ALLOWED_LEADER_PROPERTIES.add("basic")
ALLOWED_LEADER_PROPERTIES.add("standard")
ALLOWED_LEADER_PROPERTIES.add("advanced")
dict_env['hidden_rougail.family.variable'] = "{% if rougail.condition2 %}\ncondition2 is true\n{% endif %}\n"
dict_env['frozen_rougail.family.variable'] = "{% if not rougail.condition1 %}\ncondition1 is false\n{% endif %}\n"
dict_env['frozen_rougail.family.variable_0'] = "{% if rougail.condition2 %}\ncondition2 is true\n{% endif %}\n"
dict_env['hidden_rougail.family'] = "{% if not rougail.condition1 %}\ncondition1 is false\n{% endif %}\n"
option_2 = BoolOption(name="condition1", doc="a first conditional variable", default=False, properties=frozenset({"mandatory", "standard"}), informations={'type': 'boolean'})
option_3 = BoolOption(name="condition2", doc="a second conditional variable", default=False, properties=frozenset({"mandatory", "standard"}), informations={'type': 'boolean'})
option_5 = StrOption(name="variable", doc="a variable", properties=frozenset({"basic", "force_default_on_freeze", "mandatory", Calculation(func['jinja_to_property'], Params((ParamValue("hidden")), kwargs={'__internal_jinja': ParamValue("hidden_rougail.family.variable"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'when': ParamValue(True), 'inverse': ParamValue(False), 'rougail.condition2': ParamOption(option_3)}), help_function=func['jinja_to_property_help']), Calculation(func['jinja_to_property'], Params((ParamValue("frozen")), kwargs={'__internal_jinja': ParamValue("frozen_rougail.family.variable"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'when': ParamValue(True), 'inverse': ParamValue(False), 'rougail.condition1': ParamOption(option_2)}), help_function=func['jinja_to_property_help']), Calculation(func['jinja_to_property'], Params((ParamValue("frozen")), kwargs={'__internal_jinja': ParamValue("frozen_rougail.family.variable_0"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'when': ParamValue(True), 'inverse': ParamValue(False), 'rougail.condition2': ParamOption(option_3)}), help_function=func['jinja_to_property_help'])}), informations={'type': 'string'})
optiondescription_4 = OptionDescription(name="family", doc="a family", children=[option_5], properties=frozenset({"basic", Calculation(func['jinja_to_property'], Params((ParamValue("hidden")), kwargs={'__internal_jinja': ParamValue("hidden_rougail.family"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'when': ParamValue(True), 'inverse': ParamValue(False), 'rougail.condition1': ParamOption(option_2)}), help_function=func['jinja_to_property_help'])}))
optiondescription_1 = OptionDescription(name="rougail", doc="Rougail", children=[option_2, option_3, optiondescription_4], properties=frozenset({"basic"}))
option_0 = OptionDescription(name="baseoption", doc="baseoption", children=[optiondescription_1])
