from tiramisu import *
from tiramisu.setting import ALLOWED_LEADER_PROPERTIES
from rougail.tiramisu import func, dict_env, load_functions, ConvertDynOptionDescription
load_functions('tests/dictionaries/../eosfunc/test.py')
ALLOWED_LEADER_PROPERTIES.add("basic")
ALLOWED_LEADER_PROPERTIES.add("standard")
ALLOWED_LEADER_PROPERTIES.add("advanced")
dict_env['frozen_dyn{{ suffix }}.var'] = "{% if suffix == 'val2' %}\ndisabled\n{% endif %}\n"
dict_env['frozen_dyn{{ suffix }}.family.var'] = "{% if suffix == 'val2' %}\ndisabled\n{% endif %}\n"
dict_env['hidden_dyn{{ suffix }}'] = "{% if suffix == 'val2' %}\ndisabled\n{% endif %}\n"
option_2 = StrOption(name="var", doc="a variable", properties=frozenset({"basic", "force_default_on_freeze", "mandatory", Calculation(func['jinja_to_property'], Params((ParamValue("frozen")), kwargs={'__internal_jinja': ParamValue("frozen_dyn{{ suffix }}.var"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'suffix': ParamSuffix(), 'when': ParamValue(True), 'inverse': ParamValue(False)}), help_function=func['jinja_to_property_help'])}), informations={'type': 'string'})
option_4 = StrOption(name="var", doc="a new variable", properties=frozenset({"basic", "force_default_on_freeze", "mandatory", Calculation(func['jinja_to_property'], Params((ParamValue("frozen")), kwargs={'__internal_jinja': ParamValue("frozen_dyn{{ suffix }}.family.var"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'suffix': ParamSuffix(), 'when': ParamValue(True), 'inverse': ParamValue(False)}), help_function=func['jinja_to_property_help'])}), informations={'type': 'string'})
optiondescription_3 = OptionDescription(name="family", doc="a family", children=[option_4], properties=frozenset({"basic"}))
optiondescription_1 = ConvertDynOptionDescription(name="dyn{{ suffix }}", doc="a dynamic family", suffixes=["val1", "val2"], children=[option_2, optiondescription_3], properties=frozenset({"basic", Calculation(func['jinja_to_property'], Params((ParamValue("hidden")), kwargs={'__internal_jinja': ParamValue("hidden_dyn{{ suffix }}"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'suffix': ParamSuffix(), 'when': ParamValue(True), 'inverse': ParamValue(False)}), help_function=func['jinja_to_property_help'])}))
option_0 = OptionDescription(name="baseoption", doc="baseoption", children=[optiondescription_1])
