from tiramisu import *
from tiramisu.setting import ALLOWED_LEADER_PROPERTIES
from rougail.tiramisu import func, dict_env, load_functions, ConvertDynOptionDescription
load_functions('tests/dictionaries/../eosfunc/test.py')
ALLOWED_LEADER_PROPERTIES.add("basic")
ALLOWED_LEADER_PROPERTIES.add("standard")
ALLOWED_LEADER_PROPERTIES.add("advanced")
dict_env['hidden_1.rougail.var1'] = "{% if unknown is not defined %}\nunknown is undefined\n{% elif unknown == \"no\" %}\nunknown is no\n{% endif %}\nparams:\n  unknown:\n    type: variable\n    variable: _.unknown\n    optional: true\n"
dict_env['frozen_1.rougail.var1'] = "{% if unknown is not defined %}\nunknown is undefined\n{% elif unknown == \"no\" %}\nunknown is no\n{% endif %}\nparams:\n  unknown:\n    type: variable\n    variable: _.unknown\n    optional: true\n"
dict_env['hidden_1.rougail.var2'] = "{% if condition is not defined %}\ncondition is undefined\n{% elif condition == \"no\" %}\ncondition is no\n{% endif %}\nparams:\n  condition:\n    type: variable\n    variable: _.condition\n    optional: true\n"
dict_env['frozen_1.rougail.var2'] = "{% if condition is not defined %}\ncondition is undefined\n{% elif condition == \"no\" %}\ncondition is no\n{% endif %}\nparams:\n  condition:\n    type: variable\n    variable: _.condition\n    optional: true\n"
dict_env['hidden_2.rougail.var1'] = "{% if unknown is not defined %}\nunknown is undefined\n{% elif unknown == \"no\" %}\nunknown is no\n{% endif %}\nparams:\n  unknown:\n    type: variable\n    variable: _.unknown\n    optional: true\n"
dict_env['frozen_2.rougail.var1'] = "{% if unknown is not defined %}\nunknown is undefined\n{% elif unknown == \"no\" %}\nunknown is no\n{% endif %}\nparams:\n  unknown:\n    type: variable\n    variable: _.unknown\n    optional: true\n"
dict_env['hidden_2.rougail.var2'] = "{% if condition is not defined %}\ncondition is undefined\n{% elif condition == \"no\" %}\ncondition is no\n{% endif %}\nparams:\n  condition:\n    type: variable\n    variable: _.condition\n    optional: true\n"
dict_env['frozen_2.rougail.var2'] = "{% if condition is not defined %}\ncondition is undefined\n{% elif condition == \"no\" %}\ncondition is no\n{% endif %}\nparams:\n  condition:\n    type: variable\n    variable: _.condition\n    optional: true\n"
option_3 = StrOption(name="condition", doc="a condition", default="no", properties=frozenset({"mandatory", "standard"}), informations={'type': 'string'})
option_4 = StrOption(name="var1", doc="a first variable", properties=frozenset({"basic", "force_default_on_freeze", "mandatory", Calculation(func['jinja_to_property'], Params((ParamValue("hidden")), kwargs={'__internal_jinja': ParamValue("hidden_1.rougail.var1"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'when': ParamValue(True), 'inverse': ParamValue(False)}), help_function=func['jinja_to_property_help']), Calculation(func['jinja_to_property'], Params((ParamValue("frozen")), kwargs={'__internal_jinja': ParamValue("frozen_1.rougail.var1"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'when': ParamValue(True), 'inverse': ParamValue(False)}), help_function=func['jinja_to_property_help'])}), informations={'type': 'string'})
option_5 = StrOption(name="var2", doc="a second variable", properties=frozenset({"basic", "force_default_on_freeze", "mandatory", Calculation(func['jinja_to_property'], Params((ParamValue("hidden")), kwargs={'__internal_jinja': ParamValue("hidden_1.rougail.var2"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'when': ParamValue(True), 'inverse': ParamValue(False)}), help_function=func['jinja_to_property_help']), Calculation(func['jinja_to_property'], Params((ParamValue("frozen")), kwargs={'__internal_jinja': ParamValue("frozen_1.rougail.var2"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'when': ParamValue(True), 'inverse': ParamValue(False)}), help_function=func['jinja_to_property_help'])}), informations={'type': 'string'})
optiondescription_2 = OptionDescription(name="rougail", doc="Rougail", children=[option_3, option_4, option_5], properties=frozenset({"basic"}))
optiondescription_1 = OptionDescription(name="1", doc="1", children=[optiondescription_2], properties=frozenset({"basic"}))
option_8 = StrOption(name="condition", doc="a condition", default="no", properties=frozenset({"mandatory", "standard"}), informations={'type': 'string'})
option_9 = StrOption(name="var1", doc="a first variable", properties=frozenset({"basic", "force_default_on_freeze", "mandatory", Calculation(func['jinja_to_property'], Params((ParamValue("hidden")), kwargs={'__internal_jinja': ParamValue("hidden_2.rougail.var1"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'when': ParamValue(True), 'inverse': ParamValue(False)}), help_function=func['jinja_to_property_help']), Calculation(func['jinja_to_property'], Params((ParamValue("frozen")), kwargs={'__internal_jinja': ParamValue("frozen_2.rougail.var1"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'when': ParamValue(True), 'inverse': ParamValue(False)}), help_function=func['jinja_to_property_help'])}), informations={'type': 'string'})
option_10 = StrOption(name="var2", doc="a second variable", properties=frozenset({"basic", "force_default_on_freeze", "mandatory", Calculation(func['jinja_to_property'], Params((ParamValue("hidden")), kwargs={'__internal_jinja': ParamValue("hidden_2.rougail.var2"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'when': ParamValue(True), 'inverse': ParamValue(False)}), help_function=func['jinja_to_property_help']), Calculation(func['jinja_to_property'], Params((ParamValue("frozen")), kwargs={'__internal_jinja': ParamValue("frozen_2.rougail.var2"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'when': ParamValue(True), 'inverse': ParamValue(False)}), help_function=func['jinja_to_property_help'])}), informations={'type': 'string'})
optiondescription_7 = OptionDescription(name="rougail", doc="Rougail", children=[option_8, option_9, option_10], properties=frozenset({"basic"}))
optiondescription_6 = OptionDescription(name="2", doc="2", children=[optiondescription_7], properties=frozenset({"basic"}))
option_0 = OptionDescription(name="baseoption", doc="baseoption", children=[optiondescription_1, optiondescription_6])
